/api-keys/{api_key_id}/rotationsReturns a paginated list of rotations for an API key. Use the query parameters to page through results.
Authenticate using the rotatable API key you want to list rotations for — a key can only list its own rotations. Only API keys created as rotatable support this.
Path parameters
apikey_01gm106t81w94gyjgsaqypkjklapikey_.^apikey_[a-z\d]{26}$Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
apkrot_01gm106t81w94gyjgsaqypkjklapkrot_.^apkrot_[a-z\d]{26}$apikey_01gm106t81w94gyjgsaqypkjklapikey_.^apikey_[a-z\d]{26}$0 to stop the old secret working as soon as the new one is activated.2024-10-12T07:20:50.52Z2024-10-12T07:20:50.52Znull until the new secret is activated.pendingRotation was created and the new secret was issued, but it hasn't been used yet. The current secret still works.completedThe new secret was used and is now active. The old secret works untilexpires_at.canceledRotation was canceled or replaced by a newer rotation before the new secret was used.
2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Zb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "apkrot_01kjnm4a3w4jqdbtqvb2jwjdf7", "api_key_id": "apikey_01jkdpbhazdpn3wpcya45as9tg", "new_key": "pdl_live_apikey_01jkdpbhaz****", "grace_period_seconds": 3600, "new_key_expires_at": "2026-11-02T00:00:00Z", "expires_at": "2026-10-02T10:05:00.000Z", "status": "completed", "created_at": "2026-10-02T09:00:00.000Z", "updated_at": "2026-10-02T09:05:00.000Z" } ], "meta": { "request_id": "b2b4b6d7-6b7a-4b8e-9b3e-7a4d9f2a5c6e", "pagination": { "per_page": 50, "next": "https://api.paddle.com/api-keys/apikey_01jkdpbhazdpn3wpcya45as9tg/rotations?after=apkrot_01kjnm4a3w4jqdbtqvb2jwjdf7", "has_more": false, "estimated_total": 1 } }}